﻿@model WebApplication.Models.GrantApplication

@{
    ViewBag.Title = "Capture Grant Application";
}


@*@section Menu {

    @Scripts.Render("~/Scripts/Forms/Advanced/menu")
}*@

@Styles.Render("~/AdminLTE/plugins/daterangepicker/css")
@Styles.Render("~/AdminLTE/plugins/icheck/css")
@Styles.Render("~/AdminLTE/plugins/colorpicker/css")
@Styles.Render("~/AdminLTE/plugins/timepicker/css")
@Styles.Render("~/AdminLTE/plugins/select2/css")
@Styles.Render("~/AdminLTE/dist/css")
@Styles.Render("~/AdminLTE/dist/css/skins")

<div class="box box-default">

    @using (Html.BeginForm("Create", "GrantApplications", FormMethod.Post, new { @class = "form-horizontal" }))
    {
        @Html.AntiForgeryToken()

        <div class="row">

            <div class="col-md-6">


                <div class="box-header with-border">
                    <h3 class="box-title">Application Header Details</h3>
                </div>

                <div class="box-body">

                    <div class="form-group">
                        <label for="" class="col-sm-4 control-label">Grant Schedule Type</label>
                        <div class="col-sm-8">
                            <select class="form-control select2" style="width: 100%;" name="GrantScheduleType">

                                <option>Schedule 4,Part B</option>

                                <option>Schedule 5,Part B</option>
                                <option>Schedule 6,Part B</option>
                                <option>Schedule 7,Part B</option>

                            </select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="" class="col-sm-4 control-label">Grant Type</label>
                        <div class="col-sm-8">
                            <select class="form-control select2" style="width: 100%;" name="GrantType">
                                <option>Conditional</option>
                                <option>UnConditional</option>

                            </select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="" class="col-sm-4 control-label">Grant Name</label>
                        <div class="col-sm-8">
                            <input type="text" name="GrantName" class="form-control" id="" placeholder="Enter">
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="" class="col-sm-4 control-label">Grant Purpose</label>
                        <div class="col-sm-8">
                            <textarea class="form-control" name="GrantPurpose" rows="3" placeholder="Enter ..."></textarea>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="" class="col-sm-4 control-label">Application Ref No</label>
                        <div class="col-sm-8">
                            <input type="text" name="ApplicationRefNo" readonly class="form-control" id="ApplicationRefNo" placeholder="Enter">
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="" class="col-sm-4 control-label">Application Status</label>
                        <div class="col-sm-8">
                            <input type="text" name="ApplicationStatus" value="New" readonly class="form-control" id="" placeholder="Enter">
                        </div>
                    </div>

                    <div class="form-group">
                        <label for="" class="col-sm-4 control-label">Application Submission Date</label>
                        <div class="col-sm-8">
                            <input type="text" name="ApplicationSubmissionDate" class="form-control" value="@DateTime.Now" id="" placeholder="Enter">
                        </div>
                    </div>
                </div>
                <div class="box-footer">

                </div>



            </div>
            <div class="col-md-6">

                <br />
                <div class="box-header with-border">

                </div>

                <div class="box-body">
                    <div class="form-group">
                        <label for="ReceivingOfficer" class="col-sm-4 control-label">Receiving Officer</label>
                        <div class="col-sm-8">
                            <input type="text" name="ReceivingOfficer" class="form-control" id="ReceivingOfficer" placeholder="Enter">
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="ReceivingDepartment" class="col-sm-4 control-label">Receiving Department</label>
                        <div class="col-sm-8">
                            <select class="form-control select2" style="width: 100%;" name="ReceivingDepartment">
                                <option>Energy</option>
                                <option>ICT</option>
                                <option>Finance</option>
                                <option>Health & Social Development</option>
                                <option>Water and Sanitation</option>
                                <option>Roads and Storm Water</option>
                                <option>Human Settlements</option>
                             
                            </select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="ReceivedDate" class="col-sm-4 control-label">Received Date</label>
                        <div class="col-sm-8">
                            <input type="date" name="ReceivedDate" class="form-control" id="ReceivedDate" placeholder="Enter">
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="EmaillAddress" class="col-sm-4 control-label">Email Address</label>
                        <div class="col-sm-8">
                            <input type="text" name="GrantorEmailAddress" class="form-control" id="GrantorEmailAddress" placeholder="Enter">
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="GrantorOfficer" class="col-sm-4 control-label">Grantor Officer</label>
                        <div class="col-sm-8">
                            <input type="text" name="GrantorOfficer" class="form-control" id="GrantorOfficer" placeholder="Enter">
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="Grantor" class="col-sm-4 control-label">Grantor</label>
                        <div class="col-sm-8">
                            <input type="text" name="Grantor" class="form-control" id="Grantor" placeholder="Enter">
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="GrantAmount" class="col-sm-4 control-label">Grant Amount</label>
                        <div class="col-sm-8">
                            <input type="text" name="GrantAmount" class="form-control" id="GrantAmount" placeholder="Enter">
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="AdditionalDescription" class="col-sm-4 control-label">Additional Description</label>
                        <div class="col-sm-8">
                            <textarea class="form-control" name="AdditionalDescription" rows="3" placeholder="Enter ..."></textarea>
                        </div>
                    </div>


                </div>
                <div class="box-footer">
                    <button type="submit" class="btn btn-success pull-right">
                        <i class="fa fa-send"></i> Submit Application
                    </button>
                    <button type="submit" class="btn btn-primary pull-right" style="margin-right: 5px;">
                        <i class="fa fa-download"></i> Save Application
                    </button>

                </div>


            </div>
        </div>
    }

</div>


@section Scripts {



    
 
    @Scripts.Render("~/AdminLTE/plugins/select2/js")
    @Scripts.Render("~/AdminLTE/plugins/input-mask/js")
    @Scripts.Render("~/AdminLTE/plugins/momentjs/js")
    @Scripts.Render("~/AdminLTE/plugins/daterangepicker/js")
    @Scripts.Render("~/AdminLTE/plugins/colorpicker/js")
    @Scripts.Render("~/AdminLTE/plugins/timepicker/js")
    @Scripts.Render("~/AdminLTE/plugins/icheck/js")
    @Scripts.Render("~/Scripts/Forms/Advanced")
}
<script>
    $(document).ready(function () {
        function addZero(i) {
            if (i < 10) { i = "0" + i }
            return i;
        }

        const d = new Date();
        let yyyy = d.getFullYear();
        let MM = addZero(d.getMonth() + 1);
        let dd = addZero(d.getDate() + 1);
        let h = addZero(d.getHours());
        let m = addZero(d.getMinutes());
        let s = addZero(d.getSeconds());
        let time = yyyy + "" + MM + "" + dd + "" + h + "" + m + "" + s;
        console.log("GM" + time);
        var ref = "GM" + time;
        document.getElementById("ApplicationRefNo").value = ref;

    });

</script>
